// gnome.xonotic.in.ua

models/mapobjects/br_flourlight/br_flourlight
{
	surfaceparm nolightmap
	nopicmip
	nomipmaps
	q3map_surfacelight 25000
	{
		map models/mapobjects/br_flourlight/br_flourlight.jpg
	}
}

textures/aflarre/whiteflare
{
	qer_editorimage textures/aflarre/whiteflare.tga
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm trans
	q3map_surfacelight 10
	q3map_backsplash 100 0
	deformvertexes autosprite
	cull none
	{
		tcmod rotate 20
		map textures/aflarre/whiteflare.tga
		blendfunc add
	}
}

textures/alights/alighttest
{
	qer_editorimage textures/alights/lamp1.jpg
	q3map_lightimage textures/alights/lamp1_glow.jpg
	q3map_surfacelight 10000
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/alights/lamp1.jpg
		tcgen environment
		rgbgen identity
	}
	{
		map textures/alights/lamp1_glow.jpg
		blendfunc add
		rgbgen identity
	}
}

textures/alights/hexagonsky
{
	qer_editorimage env/hexagon/hexagon_ft.jpg
	q3map_sun 1 1 1 500 210 60
	q3map_skylight 100 3
	q3map_backsplash 0 0
	q3map_nofast
	q3map_nofog
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight
	nopicmip
	nomipmaps
	skyparms env/hexagon/hexagon 128 -
}

textures/ap3special/bobtv
{
	qer_editorimage textures/ap3special/bob1.tga
	q3map_surfacelight 2000
	{
		animmap 8 textures/ap3special/bob0.tga textures/ap3special/bob1.tga textures/ap3special/bob2.tga textures/ap3special/bob3.tga textures/ap3special/bob4.tga textures/ap3special/bob5.tga textures/ap3special/bob6.tga textures/ap3special/bob7.tga textures/ap3special/bob8.tga textures/ap3special/bob9.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 0.75 0.05 0 5
	}
	{
		map textures/ap3special/3env.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbgen wave sin .98 .02 0 5
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/ap3text/boardnodamage
{
	qer_editorimage textures/ap3text/board.tga
	surfaceparm detail
	surfaceparm nodamage
	{
		map textures/ap3text/board.tga
		tcmod scale 4 4
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/ap3text/box
{
	qer_editorimage env/box/box_ft.jpg
	q3map_sun 1 1 1 60 260 45
	q3map_backsplash 0 0
	surfaceparm nodamage
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	nopicmip
	nomipmaps
	skyparms env/box/box 128 -
}

textures/ap3text/corehex
{
	qer_editorimage textures/ap3text/corehex.tga
	qer_trans .75
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm trans
	surfaceparm nolightmap
	cull twosided
	{
		map textures/ap3text/corehex.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 0.39 0.35 0 0.2
	}
}

textures/ap3text/fadeon
{
	qer_editorimage textures/ap3text/fadeon.tga
	qer_trans .75
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm trans
	surfaceparm nolightmap
	cull twosided
	{
		map textures/ap3text/fadeon.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 0.69 0.35 0 0.1
	}
}

textures/ap3text/fadeonstyle
{
	qer_editorimage textures/ap3text/fadeon.tga
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	qer_trans 0.8
	{
		map textures/ap3text/fadeon.tga
		rgbgen wave sin 0.69 0.35 0 0.1
		tcgen environment
		tcmod turb 0 0.01 0 0.01
		tcmod scroll .0 .0
		blendfunc gl_one gl_one
	}
}

textures/ap3text/fence
{
	surfaceparm trans
	cull none
	nopicmip
	{
		map textures/ap3text/fence.tga
		tcmod scale 3 3
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/ap3text/floorbluenodam
{
	qer_editorimage textures/ap3text/floorblue
	surfaceparm nodamage
	{
		map textures/ap3text/floorblue
		tcmod scale 2 2
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/ap3text/hazard
{
	qer_editorimage textures/ap3text/hazard.tga
	qer_trans 0.8
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	{
		map textures/ap3text/hazard.tga
		tcgen environment
		tcmod turb 0 0.01 0 0.01
		tcmod scroll .3 .1
		blendfunc gl_one gl_one
	}
}

textures/ap3text/lavaown
{
	qer_editorimage textures/ap3text/lavafx.tga
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 800
	q3map_lightrgb 1 0.3 0.000000
	tesssize 128
	cull disable
	deformvertexes wave 100 sin 3 2 .1 0.1
	{
		map textures/ap3text/lavafx.tga
		tcmod turb 0 .2 0 .1
		tcmod scroll 0 -0.1
	}
}

textures/ap3text/lfwallglass
{
	qer_editorimage textures/ap3text/lfwall10.tga
	qer_trans .75
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm trans
	surfaceparm nolightmap
	cull twosided
	{
		map textures/ap3text/lfwall10.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 0.39 0.35 0 0.2
	}
}

textures/ap3text/minwallnodamage
{
	qer_editorimage textures/ap3text/minwall.tga
	surfaceparm detail
	surfaceparm nodamage
	{
		map textures/ap3text/minwall.tga
		tcmod scale 4 4
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/ap3text/qfloortesting
{
	qer_editorimage textures/ap3text/qfloortest.tga
	surfaceparm trans
	cull none
	nopicmip
	{
		map textures/ap3text/qfloortest.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/ap3text/railing-nd
{
	qer_editorimage textures/ap3text/railing.tga
	surfaceparm detail
	surfaceparm nodamage
	{
		map textures/ap3text/railing.tga
		tcmod scale 4 4
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/ap3text/redmix
{
	qer_editorimage textures/ap3text/redmix.tga
	surfaceparm nolightmap
	surfaceparm nodamage
	surfaceparm detail
	surfaceparm slick
	surfaceparm nomarks
	surfaceparm trans
	cull twosided
	{
		map textures/ap3text/redmix.tga
		tcgen environment
		blendfunc gl_one gl_one
	}
	{
		map textures/ap3text/fadeon.tga
		rgbgen wave sin 0.69 0.35 0 0.1
		tcgen environment
		tcmod turb 0 0.01 0 0.01
		tcmod scroll .0 .0
		blendfunc gl_one gl_one
	}
}

textures/ap3text/redmixnoslick
{
	qer_editorimage textures/ap3text/redmix.tga
	surfaceparm nolightmap
	surfaceparm nodamage
	surfaceparm detail
	surfaceparm nomarks
	surfaceparm trans
	cull twosided
	{
		map textures/ap3text/redmix.tga
		tcgen environment
		blendfunc gl_one gl_one
	}
	{
		map textures/ap3text/fadeon.tga
		rgbgen wave sin 0.69 0.35 0 0.1
		tcgen environment
		tcmod turb 0 0.01 0 0.01
		tcmod scroll .0 .0
		blendfunc gl_one gl_one
	}
}

textures/ap3text/theend
{
	qer_editorimage textures/ap3text/theend.tga
	polygonoffset
	cull twosided
	sort 6
	{
		map textures/ap3text/theend.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphafunc gt0
		tcmod scroll .3 0
		depthwrite
		rgbgen identity
	}
}

textures/ap3text/wallflangenodam
{
	qer_editorimage textures/ap3text/wallflange.tga
	surfaceparm detail
	surfaceparm nodamage
	{
		map textures/ap3text/wallflange.tga
		blendfunc filter
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/ap3text/warshutter_ref
{
	qer_editorimage textures/ap3text/warshutter.tga
	{
		map textures/ap3text/warshutter.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/asuperwater/superwater
{
	qer_editorimage textures/asuperwater/water_a.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	tesssize 64
	cull disable
	deformvertexes wave 256 sin 0.5 1.75 .5 .5
	{
		map textures/asuperwater/water_a.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scroll -.010 .05
	}
	{
		map textures/asuperwater/water_b.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scroll .05 -.010
	}
	{
		map textures/asuperwater/water_a.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scroll -.05 .010
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/atextures/beamshuttle
{
	qer_editorimage textures/atextures/beamshuttle.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		map textures/atextures/beamshuttle.tga
		tcmod scroll -0.5 4
		blendfunc gl_one gl_one
	}
}

textures/atextures/energything
{
	qer_editorimage textures/atextures/energything.tga
	qer_trans .75
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm trans
	surfaceparm nolightmap
	cull twosided
	{
		map textures/atextures/energything.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 0.65 0.35 0 0.2
		tcmod scroll -1 2
	}
	{
		map textures/atextures/energything.tga
		blendfunc gl_one gl_one
		tcmod scroll 2 1
	}
}

textures/atextures/energything_slick
{
	qer_editorimage textures/atextures/energything.tga
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm trans
	surfaceparm nolightmap
	cull twosided
	{
		map textures/atextures/energything.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 0.65 0.35 0 0.2
		tcmod scroll -1 2
	}
	{
		map textures/atextures/energything.tga
		blendfunc gl_one gl_one
		tcmod scroll 2 1
	}
}

textures/atextures/rainglass
{
	qer_editorimage textures/atextures/rainglass.tga
	surfaceparm nolightmap
	surfaceparm solid
	surfaceparm nodamage
	cull disable
	{
		map textures/atextures/rainglass.tga
		tcgen environment
		tcmod turb 0 0.01 0 0.01
		tcmod scroll .0 .0
		blendfunc gl_one gl_one
	}
}

textures/atextures/shockwave22
{
	cull disable
	surfaceparm nomarks
	surfaceparm trans
	{
		clampmap textures/atextures/shockwave22.tga
		blendfunc add
		tcmod rotate 327
		rgbgen identity
	}
	{
		clampmap textures/atextures/vortex33.tga
		blendfunc add
		tcmod rotate -211
		rgbgen identity
	}
	{
		clampmap textures/atextures/rifle_letters.tga
		blendfunc add
		tcmod rotate 20
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/ext_common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/ext_common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/ext_common/cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
}

textures/ext_common/full_clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm playerclip
}

textures/ext_common/mirror1
{
	qer_editorimage textures/ext_common/mirror1.tga
	surfaceparm nolightmap
	portal
	{
		map textures/ext_common/mirror1.tga
		blendfunc gl_one gl_one_minus_src_alpha
		depthwrite
	}
}

textures/ext_common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/ext_common/nodrawnonsolid
{
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nodraw
}

textures/ext_common/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
}

textures/ext_common/playerclip-nd
{
	qer_editorimage textures/ext_common/clip.tga
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm playerclip
	surfaceparm nodamage
	surfaceparm detail
}

textures/ext_common/playerclip-sl-nd
{
	qer_editorimage textures/ext_common/clip.tga
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm playerclip
	surfaceparm slick
	surfaceparm nodamage
	surfaceparm detail
}

textures/ext_common/slick
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slick
}

textures/ext_common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/ext_common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/math/acid_slick_nodmg
{
	qer_editorimage textures/math/glass.tga
	qer_trans .75
	surfaceparm alphashadow
	surfaceparm detail
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/math/glass.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map textures/math/glass/acid.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcgen environment
		tcmod scale 4 4
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/math/barnodamage
{
	qer_editorimage textures/math/barside.tga
	surfaceparm detail
	surfaceparm nodamage
	{
		map textures/math/barside.tga
		tcmod scale 4 4
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/math/buttonlol
{
	qer_editorimage textures/math/blue.tga
	surfaceparm nodamage
	surfaceparm detail
	{
		animmap 1.5 textures/math/blue.tga textures/math/green.tga textures/math/red.tga
		rgbgen wave square 0.7 0.3 0 2.3
	}
}

textures/math/firefly
{
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm trans
	q3map_surfacelight 100
	q3map_backsplash 100 0
	deformvertexes autosprite
	cull none
	{
		tcmod rotate 10
		map textures/math/firefly.tga
		blendfunc add
	}
}

textures/math/firefly2
{
	qer_editorimage textures/math/firefly.tga
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm trans
	q3map_surfacelight 100
	q3map_backsplash 100 0
	deformvertexes autosprite
	cull none
	{
		tcmod rotate 50
		map textures/math/firefly.tga
		blendfunc add
	}
}

textures/math/firefly3
{
	qer_editorimage textures/math/firefly.tga
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm trans
	q3map_surfacelight 100
	q3map_backsplash 100 0
	deformvertexes autosprite
	cull none
	{
		tcmod rotate 20
		map textures/math/firefly.tga
		blendfunc add
	}
}

textures/math/glass/niut
{
	qer_editorimage textures/math/glass/nuitglass.tga
	surfaceparm nolightmap
	surfaceparm solid
	surfaceparm nodamage
	cull disable
	{
		map textures/math/glass/nuitglass.tga
		tcgen environment
		tcmod turb 0 0.01 0 0.01
		tcmod scroll .0 .0
		blendfunc gl_one gl_one
	}
}

textures/math/glass/nuitglass_slick
{
	qer_editorimage textures/math/glass/nuitglass.tga
	surfaceparm nolightmap
	surfaceparm solid
	surfaceparm detail
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slick
	qer_trans .75
	cull disable
	{
		map textures/math/glass/nuitglass.tga
		tcgen environment
		tcmod turb 0 0.01 0 0.01
		tcmod scroll .0 .0
		blendfunc gl_one gl_one
	}
}

textures/math/glass_slick_nodmg
{
	qer_editorimage textures/math/glass.tga
	qer_trans .75
	surfaceparm alphashadow
	surfaceparm detail
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/math/glass.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map textures/math/platform.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcgen environment
		tcmod scale 4 4
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/math/ladder
{
	qer_editorimage textures/math/ladder.tga
	q3map_bouncescale 0.7
	surfaceparm nolightmap
	surfaceparm detail
	surfaceparm nodamage
	surfaceparm ladder
}

textures/math/saber/blue_glow2
{
	qer_editorimage textures/math/saber/blue_glow2.tga
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm trans
	q3map_surfacelight 5
	q3map_backsplash 100 0
	deformvertexes autosprite
	cull none
	{
		tcmod rotate 0
		map textures/math/saber/blue_glow2.tga
		blendfunc add
	}
}

textures/math/saber/green_glow2
{
	qer_editorimage textures/math/saber/green_glow2.tga
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm trans
	q3map_surfacelight 50
	q3map_backsplash 100 0
	deformvertexes autosprite
	cull none
	{
		tcmod rotate 0
		map textures/math/saber/green_glow2.tga
		blendfunc add
	}
}

textures/math/saber/orange_glow2
{
	qer_editorimage textures/math/saber/orange_glow2.tga
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm trans
	q3map_surfacelight 10
	q3map_backsplash 100 0
	deformvertexes autosprite
	cull none
	{
		tcmod rotate 0
		map textures/math/saber/orange_glow2.tga
		blendfunc add
	}
}

textures/math/slickgrey
{
	qer_editorimage textures/math/slickgrey.tga
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm detail
	surfaceparm trans
	surfaceparm slick
	cull disable
	qer_trans 0.5
	{
		map textures/math/slickgrey.tga
		blendfunc add
		tcgen environment
	}
}

textures/math/superfog
{
	qer_editorimage textures/math/superfog.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	qer_nocarve
	q3map_surfacelight 200
	q3map_lightrgb 1 .0 .0
	fogparms ( 1 .0 .0 ) 3000
}

